org.apache.poi.wp.usermodel

## Enum HeaderFooterType

- java.lang.Object
- - java.lang.Enum<HeaderFooterType>
  - - org.apache.poi.wp.usermodel.HeaderFooterType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HeaderFooterType>

      public enum HeaderFooterType
      extends java.lang.Enum<HeaderFooterType>

  Since:
    POI v3.16 beta 1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` This is the default header or Footer, It is displayed on every page where a more specific header or footer is not specified.
    `EVEN` This is an even page header or footer, it is displayed on even pages that are not the first page of the section.
    `FIRST` This is a first page header or footer It is displayed on the first page of the section.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HeaderFooterType` | `forInt(int i)`
    `int` | `toInt()`
    `static HeaderFooterType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HeaderFooterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final HeaderFooterType DEFAULT

      This is the default header or Footer, It is displayed on every page where a more specific header or footer is not specified. It is always displayed on ODD pages that are not the first page of the section.

    - #### EVEN

          public static final HeaderFooterType EVEN

      This is an even page header or footer, it is displayed on even pages that are not the first page of the section.

    - #### FIRST

          public static final HeaderFooterType FIRST

      This is a first page header or footer It is displayed on the first page of the section.

  - ### Method Detail

    - #### values

          public static HeaderFooterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HeaderFooterType c : HeaderFooterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HeaderFooterType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toInt

          public int toInt()

    - #### forInt

          public static HeaderFooterType forInt(int i)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.